/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

module.exports = {
  defaultSidebar: [
    'overview',
    'roadmap',
    'changelog',
    'account',
    'status-and-error-codes',
    /*{
      type: 'link',
      label: 'Terms of Service',
      href: 'https://www.fitko.de/',
    },*/
    {
      type: 'category',
      label: 'Getting Started',
      items: [
        'getting-started/overview',
        'getting-started/authentication',
        'getting-started/metadata',
        'getting-started/encryption',
        {
          type: 'category',
          label: 'Versenden',
          items: [
            {
              type: 'autogenerated',
              dirName: 'getting-started/sending',
            },
          ],
        },
        {
          type: 'category',
          label: 'Empfangen',
          items: [
            {
              type: 'autogenerated',
              dirName: 'getting-started/receiving',
            },
          ],
        },
      ],
    },
    // {
    //   type: 'category',
    //   label: 'SDK',
    //   items: [{
    //     type: 'autogenerated',
    //     dirName: 'sdk'
    //   }]
    // },
    {
      type: 'category',
      label: 'Spezifikationen/Schemata',
      items: [
        {
          type: "autogenerated",
          dirName: "apis",
        },
      ],
    },
    {
      type: 'category',
      label: 'Detailinformationen',
      items: [
        'details/crypto',
        'details/status',
        'details/event-log',
        'details/schema-reference',
        'details/pgp-export',
        {
          type: 'category',
          label: 'Authentifizierung',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/authentication',
            },
          ],
        },
        {
          type: 'category',
          label: 'Authentifizierung (intern)',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/infrastructure-docs',
            },
          ],
        },
      ],
    },
    {
      type: 'category',
      label: 'Weiteres',
      items: [
        'more/glossary',
        {
          type: 'link',
          label: 'Impressum',
          href: 'https://www.fitko.de/Impressum',
        },
      ],
    },
  ],
}
